﻿namespace Section6_3.ViewModels
{
    using System.Linq;
    using YKToolkit.Bindings;
    using YKToolkit.Controls;

    public class MainViewModel : NotificationObject
    {
        public MainViewModel()
        {
            // MoveOperationMode プロパティを変更しても ComboBox の選択アイテムが変更される
            MoveOperationMode = OperationModes.None;
        }

        private ComboBoxLineGraphMoveOperationModes moveOperationModeItem = ComboBoxLineGraphMoveOperationModes.Items[0];
        /// <summary>
        /// 移動操作モードリストによる選択項目を取得または設定します。
        /// </summary>
        public ComboBoxLineGraphMoveOperationModes MoveOperationModeItem
        {
            get { return moveOperationModeItem; }
            set
            {
                if (SetProperty(ref moveOperationModeItem, value))
                {
                    MoveOperationMode = moveOperationModeItem.Item;
                }
            }
        }

        private OperationModes moveOperationMode;
        /// <summary>
        /// 移動操作モードを取得または設定します。
        /// </summary>
        public OperationModes MoveOperationMode
        {
            get { return moveOperationMode; }
            set
            {
                if (SetProperty(ref moveOperationMode, value))
                {
                    MoveOperationModeItem = ComboBoxLineGraphMoveOperationModes.Items.FirstOrDefault(item => item.Item == moveOperationMode);
                }
            }
        }
    }
}
